<blur-section 
    gap
    padding
    :style="viewStyle({
        mobile: {
            'border-bottom': '1px solid var(--color-border-primary-default)'
        },
    })">

    <blur-column 
        :cols="12"
        :cols-tablet="6">

        <blur-text-input 
            :label="$tc('blurElysiumSlides.forms.slideName.label')"
            :placeholder="placeholder(slide, 'name', $tc('blurElysiumSlides.forms.slideName.placeholder'))"
            :error="nameError"
            :model-value="slide.name"
            @update-value="value => slide.name = value"
            required />
    </blur-column>

    <blur-column 
        :cols="12"
        :cols-tablet="6">

        <blur-text-input 
            :label="$tc('blurElysiumSlides.forms.slideCssClass.label')"
            :placeholder="$tc('blurElysiumSlides.forms.slideCssClass.placeholder')"
            :helpText="$tc('blurElysiumSlides.forms.slideCssClass.helpText')"
            :model-value="slide.slideSettings.slide.cssClass"
            @update-value="value => slide.slideSettings.slide.cssClass = value" />

    </blur-column>

</blur-section>

<blur-section 
    gap
    padding
    :title="$tc('blurElysiumSlides.forms.slideHeadline.label')"
    title-icon="blurph-text-h-one-bold"
    :style="viewStyle({
        mobile: {
            'border-bottom': '1px solid var(--color-border-primary-default)'
        },
    })">

    <blur-column 
        :cols="12"
        :cols-tablet="4"
        :cols-desktop="3">

        <blur-select-input 
            :options="[
                { value: 'div', label: 'DIV' },
                { value: 'h1', label: 'H1' },
                { value: 'h2', label: 'H2' },
                { value: 'h3', label: 'H3' },
                { value: 'h4', label: 'H4' },
                { value: 'h5', label: 'H5' },
                { value: 'h6', label: 'H6' }
            ]"
            :label="$tc('blurElysiumSlides.forms.slideHeadlineElement.label')"
            :helpText="$tc('blurElysiumSlides.forms.slideHeadlineElement.helpText')"
            v-model:value="slide.slideSettings.slide.headline.element" />
    </blur-column>

    <blur-column 
        :cols="12"
        :cols-tablet="8"
        :cols-desktop="9">

        <blur-text-input
            :label="$tc('blurElysium.general.content')"
            :placeholder="placeholder(slide, 'title', $tc('blurElysiumSlides.forms.slideHeadline.placeholder'))"
            :model-value="slide.title"
            @update-value="value => slide.title = value" />
    </blur-column>

    <blur-column 
        :cols="12"
        :cols-tablet="4"
        :cols-desktop="3">

        <blur-number-input 
            :label="$tc('blurElysium.general.fontSize')"
            :placeholder="viewportsPlaceholder('headline.fontSize', 20)"
            :device="currentDevice"
            :show-device="true"
            :model-value="viewportSettings.headline.fontSize"
            @on-device="deviceSwitch" 
            @update-value="value => viewportSettings.headline.fontSize = value" />
    </blur-column>

    <blur-column 
        :cols="12"
        :cols-tablet="4"
        :cols-desktop="3">

        <blur-colorpicker
            :label="$tc('blurElysium.general.textColor')"
            v-model:value="slide.slideSettings.slide.headline.color" />
    </blur-column>

</blur-section>

<blur-section 
    gap
    padding
    :title="$tc('blurElysiumSlides.forms.slideDescription.label')"
    title-icon="blurph-textbox-bold">

    <blur-column
        :cols-desktop="8">

        <sw-text-editor
            v-model:value="slide.description"
            :label="$tc('blurElysium.general.content')" />
    </blur-column>

    <blur-column
        :cols-desktop="4">

        <blur-section gap>

            <blur-column>
                <blur-colorpicker
                    :label="$tc('blurElysium.general.textColor')"
                    v-model:value="slide.slideSettings.slide.description.color" />
            </blur-column>

            <blur-column>
                <blur-number-input 
                    :label="$tc('blurElysium.general.fontSize')"
                    :device="currentDevice"
                    :placeholder="viewportsPlaceholder('description.fontSize', 14)"
                    :show-device="true"
                    @on-device="deviceSwitch"
                    :model-value="viewportSettings.description.fontSize"
                    @update-value="value => viewportSettings.description.fontSize = value" />
            </blur-column>
        </blur-section>

    </blur-column>

</blur-section>